{% load static %}
{% load i18n %}
{% get_current_language as LANGUAGE_CODE %}
<!-- Header -->
<!-- <div class="search-bar mt-sm-2 mr-2">
		<form method="get">
			<input class="form-control" type="text" name="q" id="id_q" placeholder="Search...">
		</form>
</div> -->

<!-- End Header -->
<!-- 
<script type="text/javascript">
	document.getElementById("id_q").value = "{{query}}"
</script> -->



<!-- ======= Header ======= -->
<header id="header" class="fixed-top">
	<div class="container d-flex">

		<div class="logo mr-auto">
			<h1 class="text-light"><a href="/">Travel JD</a></h1>
			<!-- Uncomment below if you prefer to use an image logo -->
			<!-- <a href="index.html"><img src="assets/img/logo.png" alt="" class="img-fluid"></a>-->
		</div>

		<nav class="nav-menu d-none d-lg-block">
			<ul>
				<li class="active"><a href="/">{% trans "Home" %}</a></li>
				<li><a href="{% url 'location:location_list' %}">{% trans "Tourist attraction" %}</a></li>
				<li><a href="{% url 'trip:trip_list' %}">{% trans "All Trip" %}</a></li>
				<li><a href="{% url 'home_hotel' %}">{% trans "Hotel" %}</a></li>
				<li><a href="{% url 'blog:home' %}">{% trans "Blog" %}</a></li>
				<li><a href="{% url 'general:contact_view' %}">{% trans "Contact" %}</a></li>
				<li class="drop-down"><a>{% trans "Language" %}</a>
					<ul>
						{% if LANGUAGE_CODE == 'en' %}
						<a href="{% url 'api:change-language' language='th' %}">{% trans "Thai" %}</a>
						{% else %}
						<a href="{% url 'api:change-language' language='en' %}">{% trans "English" %}</a>
						{% endif %}
					</ul>
				</li>

				{% if request.user.is_authenticated %}
				<li class="drop-down"><a>{% trans "Hello" %}, {{ request.user.username }}</a>
					<ul>
						<li><a href="{% url 'account' %}">{% trans "Account" %}</a></li>
						<li><a href="{% url 'reservation:bookings_view'%}">{% trans "My Booking" %}</a></li>
						<li><a href="{% url 'trip:my_trip'%}">{% trans "My Trip" %}</a></li>
						{% if request.user.is_staff %}
						<li><a href="{% url 'home_admin' %}">{% trans "Staff" %}</a></li>
						{% else %}
						<li><a href="{% url 'active:quiz_list' %}">{% trans "Question" %}</a></li>
						{% endif %}
						<li><a href="{% url 'logout' %}">{% trans "Longout" %}</a></li>
					</ul>
				</li>
				{% else %}
				<li><a href="{% url 'login' %}">{% trans "Sing In" %}</a></li>
				<li><a class="btn btn-outline-primary" href="{% url 'active_signup' %}">{% trans "Sing Up" %}</a></li>
				<!-- <li class="get-started"><a href="{% url 'active_signup' %}">{% trans "Sing Up" %}</a></li> -->
				<!-- <li><a class="btn btn-outline-primary" href="{% url 'register' %}">ลงทะเบียน</a></li> -->
				{% endif %}
				<li><a href="{% url 'trip:trip_location' %}">
					{% trans "Create Trip" %}<img  id="cart-icon" src="{% static 'images/travel.png' %}">
				</a></li>
				<li><p id="cart-total">{{ request.session.countTime }}</p></li>
			</ul>
		</nav>
		<!-- .nav-menu -->
	</div>

</header>
<!-- End Header -->